# Labelize

Music band web page generator : 1 folder with music files + images + 1 optional configuration file = 1 single page app with audio player

# Installation

```
$ python3 -m venv labelize-env
$ . ./labelize-env/bin/activate
$ pip install -r requirements.txt

```

#Configuration

In a labelize.yaml file :

````
band: band name
images:
  cover: my_cover_image.png
  contact: my_contact_image.png
albums_section :
    title: Album section tile
    albums:
      - year : 2019
        title : my album title
      - year : 2018
        title : my album title

````
# Usage

```
$ python labelize.py [inputDirectory] [outputDirectory]
```

# Credentials

**Dev** : CHOJ

**UI Design** : CDRC LCHRZ
